## initramfs-tools 0.140ubuntu13

=== debian/changelog ===
initramfs-tools (0.140ubuntu13) jammy; urgency=medium

  * Lower the compression levels for zstd and lz4 (LP: #1958148)
    Following the discussion on the mailing list, we have reached
    a conclusion to lower the default compression levels:
    - For lz4, the compression level is lowered to 2 from 9
    - For zstd, the compression level is lowered to 1 from 19


 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 15 Mar 2022 16:00:55 +0100

initramfs-tools (0.140ubuntu12) jammy; urgency=medium

  * Force copy pthread and libgcc_s libraries via a stub binary.

    To avoid circular shared library dependencies between compiler and
    libc, libpthreads chooses to dlopen libgcc_s, instead of linking
    against it. However, we have no way to parse/know what it
    needs. And even when we hardcode to include libgcc_s1, we don't
    have a way to know which libgcc_s1 is needed on a given system and
    from which path to include it. But there is a hook-function to
    copy a binary and all of its shared library dependencies. Thus
    create a stub empty executable, with shared linking against
    pthreads and gcc_s1 and always include it in the initrd. This way
    at initrd creation time, ldd is used to correctly resolve these
    shared library dependencies and correctly copy them into the
    initrd. This removes hardcoding paths as to where these libraries
    must be copied from on the host. LP: #1958594 LP: #1880853

  * For net boot include most of net/usb modules, except niche modems. LP:
    #1950996

  * Cherry-pick updated merge request !26 to support xz compressed
    firmware. Uncompressed firmware is preffered, with a fallback to use
    compressed firmware files. LP: #1942260

  * Cherry-pick updated merge request !51 to decompress compressed kernel
    modules for boot speed performance. LP: #1932329

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 08 Feb 2022 20:43:02 +0000

initramfs-tools (0.140ubuntu11) jammy; urgency=medium

  * Increase image file to 2GB in autopkgtest (LP: #1958904)

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 25 Jan 2022 15:03:39 +0000

initramfs-tools (0.140ubuntu10) jammy; urgency=medium

  * Improve shell scripts to conform to standards in shellcheck > 8.0

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 13 Jan 2022 09:19:53 -0600

initramfs-tools (0.140ubuntu9) jammy; urgency=medium

  * scripts/local-premount/fixrtc: ensure that the fixrtc script doesn't
    produce extraneous output from wait-for-root and date (LP: #1953521)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 07 Dec 2021 15:35:22 +0000

initramfs-tools (0.140ubuntu8) jammy; urgency=medium

  * Cherry-pick merge request !26 to support xz compressed
    firmware. Uncompressed firmware is preffered, with a fallback to use
    compressed firmware files. LP: #1942260
  * Cherry-pick merge request !51 to decompress compressed kernel modules
    for boot speed performance. LP: #1932329
  * Cherry-pick partially merge request !50 to fix ftbfs with new
    shellcheck.
  * Fix shellcheck issues in ubuntu patches.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 19 Oct 2021 11:49:38 +0100
