## initramfs-tools 0.140ubuntu13.1+11.0trisquel1

=== debian/changelog ===
initramfs-tools (0.140ubuntu13.1+11.0trisquel1) aramo; urgency=medium

  * Do not warn of missing firmware

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 11 Mar 2023 16:52:06 +0000

initramfs-tools (0.140ubuntu13.1) jammy; urgency=medium

  * Backport pmem support from kinetic by adding the nvdimm, dax, and nfit
    modules (LP: #1981385)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 27 Oct 2022 11:44:07 -0600

initramfs-tools (0.70b) unsta
