## initramfs-tools 0.140ubuntu13.4+11.0trisquel2

=== debian/changelog ===
initramfs-tools (0.140ubuntu13.4+11.0trisquel2) aramo; urgency=medium

  * Do not warn of missing firmware

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Aug 2023 06:38:00 +0000
