=== debian/tests/control ===
--- 
+++ 
@@ -26,17 +26,19 @@
 Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs
 Restrictions: skip-not-installable, needs-root
 
+Tests: amd64-net
+Depends: cloud-initramfs-dyn-netconf,
+         genext2fs,
+         iproute2,
+         isc-dhcp-client,
+         klibc-utils,
+         linux-image-amd64 | linux-image-generic:amd64,
+         python3,
+         qemu-system-x86,
+         zstd,
+         @
+Restrictions: skip-not-installable, needs-root
+
 Test-Command: ./tests/run-tests
 Depends: netplan.io
 Restrictions: allow-stderr
-
-Tests: net
-Depends: curl,
-         initramfs-tools,
-         isc-dhcp-client,
-         linux-image-generic,
-         lsb-release,
-         parted,
-         python3,
-         qemu-system
-Restrictions: needs-root, allow-stderr
