## initramfs-tools 0.140ubuntu13.5

=== debian/changelog ===
initramfs-tools (0.140ubuntu13.5) jammy; urgency=medium

  * Fix configuring BOOTIF when using iSCSI (LP: #2056187)
  * Backport autopkgtest improvements from version 0.142ubuntu23 to run the
    test on all architectures and to check more results from qemu-net

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 19 Mar 2024 13:06:27 +0100
