=== debian/tests/control ===
Tests: shellcheck
Depends: @, shellcheck
Restrictions: superficial

Test-Command: ./tests/run-tests
Depends: netplan.io
Restrictions: allow-stderr
Features: test-name=unit-tests

# Note: These tests need root on Ubuntu, because the kernel is only readable by root. See https://launchpad.net/bugs/759725
Tests: qemu-klibc
Architecture: amd64 armhf s390x
Depends: genext2fs,
         ipxe-qemu,
         klibc-utils,
         linux-image-generic,
         qemu-efi-arm [armhf],
         qemu-kvm,
         @
Restrictions: needs-root

Tests: qemu-busybox
Architecture: amd64 armhf s390x
Depends: busybox | busybox-initramfs,
         genext2fs,
         ipxe-qemu,
         klibc-utils,
         linux-image-generic,
         qemu-efi-arm [armhf],
         qemu-kvm,
         @
Restrictions: needs-root

Tests: qemu-ata-only
Architecture: amd64
Depends: genext2fs, klibc-utils, linux-image-generic, qemu-kvm, @
Restrictions: needs-root

Tests: qemu-virtio-only qemu-separate-usr qemu-panic-shell
Architecture: amd64 arm64 armhf ppc64el s390x
Depends: genext2fs,
         ipxe-qemu,
         klibc-utils,
         linux-image-generic,
         qemu-efi-aarch64 [arm64],
         qemu-efi-arm [armhf],
         qemu-kvm,
         seabios [ppc64el],
         @
Restrictions: needs-root

Tests: qemu-net
Architecture: amd64 arm64 armhf ppc64el s390x
Depends: genext2fs,
         iproute2,
         ipxe-qemu,
         isc-dhcp-client,
         klibc-utils,
         linux-image-generic,
         procps,
         python3,
         qemu-efi-aarch64 [arm64],
         qemu-efi-arm [armhf],
         qemu-kvm,
         seabios [ppc64el],
         @
Restrictions: needs-root
