## initramfs-tools 0.140ubuntu13.5+11.0trisquel2

=== debian/changelog ===
initramfs-tools (0.140ubuntu13.5+11.0trisquel2) aramo; urgency=medium

  * Do not warn of missing firmware

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 29 May 2025 18:43:23 +0000
