## initramfs-tools 0.140ubuntu17

=== debian/changelog ===
initramfs-tools (0.140ubuntu17) kinetic; urgency=medium

  * Include update from Debian for depmod from kmod 30 (LP: #1987620)
    + Copy modules.builtin.modinfo into initramfs (Closes: #1014319)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 30 Aug 2022 13:47:27 +0000

initramfs-tools (0.140ubuntu16) kinetic; urgency=medium

  * Add char/hw_random drivers (LP: #1983359)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Tue, 02 Aug 2022 22:54:09 +0200

initramfs-tools (0.140ubuntu15) kinetic; urgency=medium

  * Include dax and nfit modules, also needed for pmem devices. (LP: #1981385)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Jul 2022 15:03:33 +1200

initramfs-tools (0.140ubuntu14) kinetic; urgency=medium

  * Include nvdimm modules in block modules, they provide access to block
    pmem devices.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 06 Jul 2022 23:23:50 +0100
