=== debian/tests/control ===
Tests: amd64-klibc
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs, zstd
Restrictions: skip-not-installable, needs-root

Tests: amd64-busybox
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, busybox | busybox-initramfs, genext2fs, zstd
Restrictions: skip-not-installable, needs-root

Tests: amd64-ata-only
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs, zstd
Restrictions: skip-not-installable, needs-root

Tests: amd64-virtio-only
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs, zstd
Restrictions: skip-not-installable, needs-root

Tests: amd64-separate-usr
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs, zstd
Restrictions: skip-not-installable, needs-root

Tests: amd64-panic-shell
Depends: @, qemu-system-x86, linux-image-amd64 | linux-image-generic:amd64, klibc-utils, genext2fs, zstd
Restrictions: skip-not-installable, needs-root

Test-Command: ./tests/run-tests
Depends: netplan.io
Restrictions: allow-stderr

Tests: net
Depends: curl,
         initramfs-tools,
         isc-dhcp-client,
         linux-image-generic,
         lsb-release,
         parted,
         python3,
         qemu-system
Restrictions: needs-root, allow-stderr
