=== debian/rules ===
--- 
+++ 
@@ -42,8 +42,8 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-  ifeq (,$(filter i386,$(DEB_HOST_ARCH)))
+    ifeq (,$(filter i386,$(DEB_HOST_ARCH)))
 	shellcheck -e SC1010,SC1090,SC1091,SC2015 -s dash hook-functions $$(find hooks scripts -type f) $$({ find . -maxdepth 1 -type f -executable; find debian -maxdepth 1 -type f; find docs kernel -type f; } | xargs grep -l '^#!/bin/sh')
-  endif
+    endif
 	./tests/run-tests
 endif
