## initramfs-tools 0.142ubuntu12

=== debian/changelog ===
initramfs-tools (0.142ubuntu12) mantic; urgency=medium

  * Change dracut-core dependency to newly created dracut-install package
    (LP: #2031304)
  * autopkgtest:
    - Explicitly specify supported architectures
    - Enable KVM if available (not available on Ubuntu runners)
    - log qemu parameters

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 23 Aug 2023 10:58:40 +0200

initramfs-tools (0.142ubuntu11) mantic; urgency=medium

  * Use dracut-install in manual_add_modules to speed up mkinitramfs
    significantly (LP: #2031185)
  * Install tty/serial kernel modules. Dracut is doing the same. (LP: #2019435)
  * Harmonize kernel module installation with dracut's behavior (LP: #2031841):
    - Use the symbol regex from dracut-install to reduce the unnessary block
      and net kernel modules.
    - Install all usb/typec kernel modules instead of cherry-picking some.
    - Do not install ARM/RISCV specific modules on other architectures.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 18 Aug 2023 03:44:36 +0200

initramfs-tools (0.142ubuntu10) mantic; urgency=medium

  * Fix resolving wrong multiarch libdir in dhcpcd hook (LP: #2031363)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 15 Aug 2023 20:41:22 +0200

initramfs-tools (0.142ubuntu9) mantic; urgency=medium

  * Replace dhclient by dhcpcd (LP: #2024164)
  * Merge consecutive manual_add_modules calls into one

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 14 Aug 2023 18:09:08 +0200

initramfs-tools (0.142ubuntu8) mantic; urgency=medium

  [ Benjamin Drung ]
  * mkinitramfs:
    - Do not store intermediate main cpio archive
    - Put compressed kernel modules and firmware files in an uncompressed cpio
      (LP: #2028567)
  * Add support for zstd-compressed firmware
  * test: Ignore remaining systemd-udevd processes on arm64 as well
  * Update lintian overrides to format for lintian 2.116.3

  [ Loïc Minier ]
  * hook-functions: add stusb160x kernel module for Tegra IGX (LP: #2027636)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Jul 2023 14:05:19 +0200

initramfs-tools (0.142ubuntu7) mantic; urgency=medium

  * Extend autopkgtest to also run qemu on arm64, armhf, ppc64el, and s390x.
    (see upstream merge request !80)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Jul 2023 21:54:53 +0200

initramfs-tools (0.142ubuntu6) mantic; urgency=medium

  * To ease testing, always use the link-layer address as DHCP unique
    identifier (DUID-LL) for DHCPv6.
  * Drop direct dependency on isc-dhcp-client (it's not available on i386)
  * Add qemu-net-dnsmasq autopkgtest to test DHCPv6

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 23 Jun 2023 21:12:21 +0200

initramfs-tools (0.142ubuntu5) mantic; urgency=medium

  * scripts/functions: drop needing basename in initramfs
  * Bring up networking if ip or ip6 is specified on cmdline.
    Directly depend on isc-dhcp-client for that.
    (Closes: #789067, LP: #1463846) (see merge request !77)
  * Extent qemu-net autopkgtest to check more cases and results
  * Move git repository under the ~ubuntu-core-dev umbrella

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Jun 2023 15:19:50 +0200

initramfs-tools (0.142ubuntu4) mantic; urgency=medium

  * Include kernel/drivers/usb/typec/ucsi with MODULES=most along with other
    USB-C storage drivers.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 08 Jun 2023 17:49:02 +0000

initramfs-tools (0.142ubuntu3) mantic; urgency=medium

  * Port the net autopkgtest to the common test framework. This drops
    depending on downloading a cloud image from the Internet and reduces
    the execution time from 3:19 min down to 0:57 min.
  * test: Increase minimum ext2 block count (merge request !75)
  * Fix shellcheck SC1010 and SC2015

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 05 Jun 2023 12:23:21 +0200
