## initramfs-tools 0.142ubuntu15

=== debian/changelog ===
initramfs-tools (0.142ubuntu15) mantic; urgency=medium

  * scripts/functions: do not fail to configure networking too quickly. In
    particular make sure an unsuccessful attempt to run DHCP takes at least
    $ROUNDTTT seconds. (LP: #2037202)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 04 Oct 2023 12:02:13 +1300

initramfs-tools (0.142ubuntu14) mantic; urgency=medium

  * mkinitramfs: Skip compression support check if /boot/config-${version}
    is missing (LP: #2018171)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 26 Sep 2023 00:49:57 +0200

initramfs-tools (0.142ubuntu13) mantic; urgency=medium

  * Support usr-merged library path when detecting mutliarch dir (LP: #2037156)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 23 Sep 2023 13:45:37 +0200
