## initramfs-tools 0.142ubuntu15.1

=== debian/changelog ===
initramfs-tools (0.142ubuntu15.1) mantic; urgency=medium

  * Install intel_lpss_pci and spi_pxa2xx_platform kernel modules for keyboard
    on MacBook Pro 2017 (LP: #2042710)
  * Install surface_aggregator_registry for keyboard on Surface Laptop 4
    (LP: #2007050)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 14 Nov 2023 20:02:42 +0100
