=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Rules-Requires-Root: no
 Standards-Version: 4.1.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/initramfs-tools/+git/initramfs-tools
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/initramfs-tools -b ubuntu/lunar
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/initramfs-tools
 X-Debian-Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
 X-Debian-Vcs-Git: https://salsa.debian.org/kernel-team/initramfs-tools.git
 
@@ -29,7 +29,7 @@
 Architecture: all
 Multi-Arch: foreign
 Recommends: zstd
-Depends: ${busybox:Depends}, initramfs-tools-bin (= ${binary:Version}), klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), logsave | e2fsprogs (<< 1.45.3-1~), ${misc:Depends}
+Depends: ${busybox:Depends}, dhcpcd-base, dracut-install, initramfs-tools-bin (= ${binary:Version}), klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), kmod, udev, coreutils (>= 8.24), logsave | e2fsprogs (<< 1.45.3-1~), ${misc:Depends}
 Suggests: bash-completion
 Breaks: initramfs-tools (<< 0.121~), ${busybox:Breaks}
 Replaces: initramfs-tools (<< 0.121~)
