## initramfs-tools 0.142ubuntu19

=== debian/changelog ===
initramfs-tools (0.142ubuntu19) noble; urgency=medium

  * copy_exec: ignore ldd output lines not starting with a tab (LP: #2046570)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 19 Dec 2023 15:28:14 +0100

initramfs-tools (0.142ubuntu18) noble; urgency=medium

  * Let initramfs-tools-core depend on e2fsprogs because fixrtc hook uses
    /sbin/dumpe2fs (LP: #1831747)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 08 Dec 2023 00:15:22 +0100

initramfs-tools (0.142ubuntu17) noble; urgency=medium

  * install hid-multitouch module for Surface Pro 4 keyboard (LP: #1772094)
  * test: log build_initramfs calls

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 15 Nov 2023 19:16:46 +0100

initramfs-tools (0.142ubuntu16) noble; urgency=medium

  * Install nvmem, soc, power, and System Power Management Interface (SPMI)
    kernel modules on ARM/RISC-V for MediaTek boards (LP: #2038512)
  * Install intel_lpss_pci and spi_pxa2xx_platform kernel modules for keyboard
    on MacBook Pro 2017 (LP: #2042710)
  * Install surface_aggregator_registry for keyboard on Surface Laptop 4
    (LP: #2007050)
  * framebuffer: Add privacy screen modules to the initrd (LP: #1954320)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 14 Nov 2023 19:34:42 +0100
